Bug 697294 - [abrt] gnome-packagekit-3.0.0-1.fc15: gdk_window_has_impl: Process /usr/bin/gpk-dbus-service was killed by signal 11 (SIGSEGV)
Summary: [abrt] gnome-packagekit-3.0.0-1.fc15: gdk_window_has_impl: Process /usr/bin/g...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-packagekit
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b94cab6261ffd87f5494286e23f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-17 15:01 UTC by Bruno Martins
Modified: 2011-05-25 03:09 UTC (History)
3 users (show)

Fixed In Version: gnome-packagekit-3.0.0-5.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-25 03:09:00 UTC
Type: ---


Attachments (Terms of Use)
File: event_log (8.05 KB, text/plain)
2011-04-17 15:01 UTC, Bruno Martins
no flags Details
File: smaps (143.88 KB, text/plain)
2011-04-17 15:01 UTC, Bruno Martins
no flags Details
File: build_ids (3.16 KB, text/plain)
2011-04-17 15:01 UTC, Bruno Martins
no flags Details
File: dsos (23.13 KB, text/plain)
2011-04-17 15:01 UTC, Bruno Martins
no flags Details
File: maps (31.55 KB, text/plain)
2011-04-17 15:01 UTC, Bruno Martins
no flags Details
File: backtrace (17.81 KB, text/plain)
2011-04-17 15:01 UTC, Bruno Martins
no flags Details

Description Bruno Martins 2011-04-17 15:01:26 UTC
abrt version: 2.0.0
comment: Opening a flash video through Firefox, using gnash-plugin but without a package called 'gstreamer-ffmpeg'.
executable: /usr/bin/gpk-dbus-service
cmdline: /usr/bin/gpk-dbus-service
component: gnome-packagekit
uid: 500
kernel: 2.6.38.2-9.fc15.x86_64
crash_function: gdk_window_has_impl
reason: Process /usr/bin/gpk-dbus-service was killed by signal 11 (SIGSEGV)
package: gnome-packagekit-3.0.0-1.fc15
username: skorzen
architecture: x86_64
os_release: Fedora release 15 (Lovelock)
time: 1303052240
rating: 4

Text file: event_log, 8239 bytes
Text file: smaps, 147332 bytes
Text file: build_ids, 3239 bytes
Binary file: coredump, 20758528 bytes
Text file: dsos, 23682 bytes
Text file: maps, 32308 bytes
Text file: backtrace, 18234 bytes

Comment 1 Bruno Martins 2011-04-17 15:01:28 UTC
Created attachment 492708 [details]
File: event_log

Comment 2 Bruno Martins 2011-04-17 15:01:31 UTC
Created attachment 492709 [details]
File: smaps

Comment 3 Bruno Martins 2011-04-17 15:01:33 UTC
Created attachment 492710 [details]
File: build_ids

Comment 4 Bruno Martins 2011-04-17 15:01:36 UTC
Created attachment 492711 [details]
File: dsos

Comment 5 Bruno Martins 2011-04-17 15:01:38 UTC
Created attachment 492712 [details]
File: maps

Comment 6 Bruno Martins 2011-04-17 15:01:41 UTC
Created attachment 492713 [details]
File: backtrace

Comment 7 Bruno Martins 2011-04-17 15:02:37 UTC
Package: gnome-packagekit-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Opening a flash video through Firefox, using gnash-plugin but without a package called 'gstreamer-ffmpeg'.

Comment 8 Richard Hughes 2011-04-26 10:56:11 UTC
This looks like a GTK+3 bug to me. I'm guessing this doesn't happen anymore?

Comment 9 alberth289346 2011-05-05 09:06:47 UTC
I had this crash as well.
I was just doing source code refactoring (editing in gvim & terminal grepping).
I had amarok playing, pulling data from the local ogg directory (not sure whether it was finished or not at the time of the crash.)

Given that the crash is in gnome-packagekit, I would expect that it got triggered by automagic updating. I have not seen such a event while using F15 yet, I did did do manual updates through yum/yumex. (Neither can I find the settings for automagic updating, but that is unrelated :) ).

Comment 10 Marek Michał Mazur 2011-05-19 22:28:28 UTC
Package: gnome-packagekit-3.0.0-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Filmik z jutuba.

Comment 11 Fedora Update System 2011-05-20 13:16:30 UTC
gnome-packagekit-3.0.0-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gnome-packagekit-3.0.0-5.fc15

Comment 12 Fedora Update System 2011-05-20 20:56:33 UTC
Package gnome-packagekit-3.0.0-5.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-packagekit-3.0.0-5.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/gnome-packagekit-3.0.0-5.fc15
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2011-05-25 03:08:55 UTC
gnome-packagekit-3.0.0-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.